Bug 189488 - Incorrect activation of AUCTeX
Incorrect activation of AUCTeX
Product: Fedora
Classification: Fedora
Component: emacs-auctex (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-04-20 10:12 EDT by Leslie Saper
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-21 14:01:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leslie Saper 2006-04-20 10:12:29 EDT
Description of problem:
Fedora activates AUCTeX by creating a file auctex-init.el within site-start.d .
 This file contains the LISP command (require 'tex-site) .  However according to
AUCTeX's maintainers (David Kastrup <dak@gnu.org> and Ralf Angeli
<angeli@iwi.uni-sb.de>), "AUCTeX's documentation clearly states that AUCTeX
should be activated by loading auctex.el, not by requiring tex-site (which is
what Fedora's auctex-init.el does)."

A consequence of Fedora's type of activation is that AUCTeX cannot be
deactivated.  (According to the documentation, deactivation should be
accomplished by issuing the LISP command  (unload-feature 'tex-site) .)

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Start emacs and open a .tex file
2. issue the LISP command (unload-feature 'tex-site)
Actual results:
AUCTeX is not deactivated and the following error message occurs:

error: "Loaded libraries
(\"/usr/share/emacs/site-lisp/site-start.d/auctex-init.el\") depend on tex-site"

Expected results:
AUCTeX should be de-activated without error

Additional info:
Comment 1 Ed Hill 2006-04-20 15:06:52 EDT
Hi Leslie, sorry I overlooked that item in the release notes (I've never 
actually needed to unload auctex!).  Anyway, according to the release 


the file should contain (load "auctex.el" nil t t) instead of 
(require 'tex-site).  If that one change fixes things for you (and please 
tell me if it isn't), then I'll update the package ASAP.
Comment 2 Leslie Saper 2006-04-20 15:21:57 EDT
Putting (load "auctex.el" nil t t) into this file instead of (require 'tex-site)
should do it.  Thanks!
Comment 3 Ed Hill 2006-04-21 14:01:33 EDT
Builds for FC-4, FC-5, and devel with this fix have succeeded and will 
be available soon.

Note You need to log in before you can comment on or make changes to this bug.